2

I'm running a pair of 2012R2 RODCs behind a load balancer for authentication for certain applications (mostly on Linux). LDP.exe works fine for lookups, but we're having an issue with Postgres where it seems to want to use a TLS version that Active Directory does not support. The problem is that I cannot seem to find any documentation on what versions of SSL/TLS Active Directory supports.

Does anyone have any better insight on this than my research has determined?

5

SSL/TLS versions are not linked to Active Directory, the ciphers supported is part of the operating system/configuration.

SSL 2.0, 3.0
TLS 1.0, 1.1, 1.2

https://blogs.technet.microsoft.com/askds/2015/12/08/speaking-in-ciphers-and-other-enigmatic-tonguesupdate/


With LDAP connections to 636/3269, it may sometimes be necessary to enable the following registry value:

Key: HKLM\System\CurrentControlSet\Services\LDAP  
Value: UseHostnameAsAlias  
Value type: REG_DWORD  
Value data: 1  

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.